Bug 251967 (CVE-2007-2834) - CVE-2007-2834 openoffice.org TIFF parsing heap overflow
Summary: CVE-2007-2834 openoffice.org TIFF parsing heap overflow
Status: CLOSED ERRATA
Alias: CVE-2007-2834
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=openoffice.org,reported=200708...
Keywords: Security
Depends On: 251971 251972 251973 251974 251975 251979 251981 293361 293371
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-13 18:06 UTC by Mark J. Cox
Modified: 2008-01-14 16:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 16:58:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (2.44 KB, patch)
2007-08-13 18:06 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0848 normal SHIPPED_LIVE Important: openoffice.org security update 2007-09-18 08:05:02 UTC

Description Mark J. Cox 2007-08-13 18:06:48 UTC
An anonymous researcher reported to iDefense  a heap overflow in TIFF parsing in
OpenOffice.org.  If a victim opens a carefully crafted document containing a
malicious TIFF file it could lead to arbitrary code execution.

Embargo set to 20070904

Comment 1 Mark J. Cox 2007-08-13 18:06:49 UTC
Created attachment 161195 [details]
proposed patch

Comment 9 Tomas Hoger 2007-09-17 14:29:14 UTC
Vulnerability was publicly announced by OpenOffice.org project and fixed in
OpenOffice.org 2.3:

http://www.openoffice.org/security/cves/CVE-2007-2834.html

Removing embargo.

Comment 12 Red Hat Product Security 2008-01-14 16:58:39 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0848.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2372




Note You need to log in before you can comment on or make changes to this bug.